Loading...
Searching...
No Matches
cfg_opt_t Struct Reference

Data structure holding information about an option. More...

`#include <confuse.h>`

## Data Fields

const char * | name
| The name of the option.
char * | comment
| Optional comment/annotation.
cfg_type_t | type
| Type of option.
unsigned int | nvalues
| Number of values parsed.
cfg_value_t ** | values
| Array of found values.
cfg_flag_t | flags
| Flags.
cfg_opt_t * | subopts
| Suboptions (only applies to sections).
cfg_defvalue_t | def
| Default value.
cfg_func_t | func
| Function callback for CFGT_FUNC options.
cfg_simple_t | simple_value
| Pointer to user-specified variable to store simple values (created with the CFG_SIMPLE_* initializers).
cfg_callback_t | parsecb
| Value parsing callback function.
cfg_validate_callback_t | validcb
| Value validating parsing callback function.
cfg_validate_callback2_t | validcb2
| Value validating set callback function.
cfg_print_func_t | pf
| print callback function
cfg_free_func_t | freecb
| user-defined memory release function

## Detailed Description

Data structure holding information about an option.

The value(s) are stored as an array of fundamental values (strings, numbers, etc).

Examples
  addsec.c, cli.c, deprecated.c, env.c, ftpconf.c, nested.c, parsebuf.c, reread.c, and simple.c.